Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorkitlo2018-05-24 11:08:48 +0000
committerSravan Kumar Lakkimsetti2018-05-31 08:49:56 +0000
commit86277507645a6074aad3c3de798e454646586051 (patch)
treef3a244d8a8793789d2992555fb06e768ad663d89 /production
parentb2748937f933ed36c5f2f0677c1c63233d2f3665 (diff)
downloadeclipse.platform.releng.aggregator-86277507645a6074aad3c3de798e454646586051.tar.gz
eclipse.platform.releng.aggregator-86277507645a6074aad3c3de798e454646586051.tar.xz
eclipse.platform.releng.aggregator-86277507645a6074aad3c3de798e454646586051.zip
Bug 532933 - Add new test configuration that runs with Java 10
Change-Id: I7287a2911f4881826d2539eec135592e626148b0 Signed-off-by: kitlo <kitlo@us.ibm.com>
Diffstat (limited to 'production')
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/linuxjava10/platformSpecific.properties42
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/linuxjava10/testAll.sh68
-rw-r--r--production/testScripts/invokeTestsJSON.xml2
-rw-r--r--production/testScripts/runTests2.xml6
4 files changed, 114 insertions, 4 deletions
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/linuxjava10/platformSpecific.properties b/production/testScripts/configuration/sdk.tests/testConfigs/linuxjava10/platformSpecific.properties
new file mode 100644
index 000000000..6577527a8
--- /dev/null
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/linuxjava10/platformSpecific.properties
@@ -0,0 +1,42 @@
+
+# This properties file contains items that are specific to the platform being tested,
+# Typically includes items dependent on exact OS, architecture, and location of files.
+# (Historically, this info used to be contained in several files, such as 'vm.properties',
+# testing.properties, etc.)
+
+# This value is computed by scripts, but there may be need or opportunity
+# to denote "extra data" if set here? (But, other changes will be
+# needed to be fully functional, since indexer, web pages also depend
+# on this value.
+# testedPlatform=linux.gtk.x86_64_8.0
+
+# This is the VM to use to run the tests, if one prefers
+# to use a different one from the one that stared the whole process.
+jvm=/shared/common/java/oracle/jdk-10-ga_x64/bin/java
+
+# TODO: can also list VMs to use for specific execution environments
+
+# executable for ant <exec task
+testExecutable=bash
+
+#name of script to execute
+testScript=./testAll.sh
+
+# This value gets written to the "preference file", named org.eclipse.core.net.prefs.
+# We implement as a property string, since eventually we may test multiple proxy settings.
+# These listed here are for tests running on build.eclipse.org, to access files outside
+# eclipse.org infrastructure.
+org.eclipse.core.net.prefs=\
+eclipse.preferences.version=1\n\
+org.eclipse.core.net.hasMigrated=true\n\
+proxiesEnabled=true\n\
+systemProxiesEnabled=true\n\
+nonProxiedHosts=*.eclipse.org|172.30.206.*|172.25.25.*\n\
+proxyData/HTTP/hasAuth=false\n\
+proxyData/HTTP/host=proxy.eclipse.org\n\
+proxyData/HTTP/port=9898\n\
+proxyData/HTTPS/hasAuth=false\n\
+proxyData/HTTPS/host=proxy.eclipse.org\n\
+proxyData/HTTPS/port=9898\n
+
+cvstest.properties=/shared/eclipse/buildtests/cvstest.properties \ No newline at end of file
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/linuxjava10/testAll.sh b/production/testScripts/configuration/sdk.tests/testConfigs/linuxjava10/testAll.sh
new file mode 100644
index 000000000..00f47e712
--- /dev/null
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/linuxjava10/testAll.sh
@@ -0,0 +1,68 @@
+#!/usr/bin/env bash
+
+echo "command line as passed into $(basename ${0}): ${*}"
+echo "command line (quoted) as passed into $(basename ${0}): ${@}"
+
+# This file, localBuildProperties.shsource, should never exist or be needed for production machine,
+# but allows an easy way for a "local user" to provide this file
+# somewhere on the search path ($HOME/bin is common),
+# and it will be included here, thus can provide "override values"
+# to those defined by defaults for production machine.,
+# such as for jvm
+source localBuildProperties.shsource 2>/dev/null
+
+if [[ -z "${propertyFile}" ]]
+then
+ echo "expect property file as environment variable for production runs"
+ exit 1
+fi
+
+if [[ -z "${jvm}" ]]
+then
+ echo "expect jvm as environment variable for production runs"
+ exit 1
+fi
+if [[ -z "${testedPlatform}" ]]
+then
+ echo "expect testedPlatform as environment variable for production runs"
+ exit 1
+fi
+
+echo "PWD: $PWD"
+# in production tests, should already be set by runTests2.xml, so
+# we set to an old version here, to make obvious if not.
+export jvm=${jvm:-/shared/common/jdk-1.6.x86_64/jre/bin/java}
+
+# production machine is x86_64, but some local setups may be 32 bit and will need to provide
+# this value in localBuildProperties.shsource. (
+eclipseArch=${eclipseArch:-x86_64}
+
+# production.properties is used in production tests,
+# need to override on local setups to specify appropriate vm (usually same as jvm).
+# see bug 388269
+export propertyFile=${propertyFile:-platformSpecific.properties}
+
+# in product tests, should be set by runTests2.xml,
+# so we use "vm value", "x.0" at end, to make obvious if that's not working.
+export testedPlatform=${testedPlatform:-linux.gtk.x86_64_x.0}
+
+echo "=== properties in testAll.sh"
+echo " DOWNLOAD_HOST: ${DOWNLOAD_HOST}"
+echo " jvm in testAll: ${jvm}"
+echo " extdir in testAll (if any): ${extdir}"
+echo " propertyFile in testAll: ${propertyFile}"
+echo " buildId in testAll: ${buildId}"
+echo " testedPlatform: ${testedPlatform}"
+echo " ANT_OPTS: ${ANT_OPTS}"
+
+#execute command to run tests
+/bin/chmod 755 runtests.sh
+/bin/mkdir -p results/consolelogs
+
+if [[ -n "${extdir}" ]]
+then
+ ./runtests.sh -os linux -ws gtk -arch $eclipseArch -extdirprop "${extdir}" -vm "${jvm}" -properties ${propertyFile} "${@}" > results/consolelogs/${testedPlatform}_consolelog.txt
+else
+ ./runtests.sh -os linux -ws gtk -arch $eclipseArch -vm "${jvm}" -properties ${propertyFile} "${@}" > results/consolelogs/${testedPlatform}_consolelog.txt
+fi
+
diff --git a/production/testScripts/invokeTestsJSON.xml b/production/testScripts/invokeTestsJSON.xml
index a857f6f74..55633a0dd 100644
--- a/production/testScripts/invokeTestsJSON.xml
+++ b/production/testScripts/invokeTestsJSON.xml
@@ -79,7 +79,7 @@
<antcall target="triggerHudsonTests">
<param
name="job"
- value="ep${eclipseStreamMajor}${eclipseStreamMinor}${buildType}-unit-cen64-gtk3-java9" />
+ value="ep${eclipseStreamMajor}${eclipseStreamMinor}${buildType}-unit-cen64-gtk3-java10" />
</antcall>
</target>
diff --git a/production/testScripts/runTests2.xml b/production/testScripts/runTests2.xml
index 3702bf3a1..9a91aea0f 100644
--- a/production/testScripts/runTests2.xml
+++ b/production/testScripts/runTests2.xml
@@ -286,7 +286,7 @@
unless="testPlatform">
<condition
property="testPlatform"
- value="linuxjava9">
+ value="linuxjava10">
<and>
<equals
arg1="${osgi.os}"
@@ -299,7 +299,7 @@
arg2="x86_64" />
<equals
arg1="${jvm.version}"
- arg2="java9" />
+ arg2="java10" />
</and>
</condition>
<condition
@@ -437,7 +437,7 @@
value="getlinzips">
<equals
arg1="${testPlatform}"
- arg2="linuxjava9" />
+ arg2="linuxjava10" />
</condition>
<condition
property="getArtifacts"

Back to the top